package net.sourceforge.journeyftp.gui;
import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.event.*;
import java.io.*;

public class GuiMessages implements MessageManager {
	JFrame parent;
	JList logWnd;
	String [] logArray = {};
	boolean queueing;

	public GuiMessages(JFrame window,JList list) {
		parent = window;
	 	logWnd = list;
		queueing = false;
	}

	public void errorMessage(String message) {
		String[] tempArray = new String[logArray.length];
		for (int DYER=0; DYER<logArray.length; DYER++)
			tempArray[DYER] = new String(logArray[DYER]);
		logArray = new String[logArray.length+1];
		for (int DYER=0; DYER<tempArray.length; DYER++)
			logArray[DYER] = new String(tempArray[DYER]);
		logArray[logArray.length-1] = message;
		logWnd.setListData(logArray);
		if (message.length()>50) message = new String(message.substring(0,50)+"\n"+message.substring(50,message.length()));
		if (!queueing) {
			JOptionPane.showMessageDialog(parent,message,"Warning",0);
		}
	}

	public String optionMessage(String message, String[] options) {
		return (String) JOptionPane.showInputDialog(parent,message,"Input",
				JOptionPane.INFORMATION_MESSAGE,null,options,options[0]);
	}	

	public void windowMessage(String message) {
		String[] tempArray = new String[logArray.length];
		for (int DYER=0; DYER<logArray.length; DYER++)
			tempArray[DYER] = new String(logArray[DYER]);
		logArray = new String[logArray.length+1];
		for (int DYER=0; DYER<tempArray.length; DYER++)
			logArray[DYER] = new String(tempArray[DYER]);
		logArray[logArray.length-1] = message;
		logWnd.setListData(logArray);
	}

	public void setQueueing(boolean mode) {
		queueing = mode;
	}
}