/*
 * @(#)IncorrectFileTypeException.java	1.0 2001/03/12
 *
 * Copyright (C) 2001 by Maru Newby
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * To contact the author, email ekko@users.sourceforge.net.
 */


package net.sourceforge.journeyftp.adapter;


/**
 * Indicates that the adapter could not locate the specified host.
 *
 * @author  Maru Newby
 * @version 1.0, 2001/03/12
 */
public class IncorrectFileTypeException extends TransferAdapterException
{


    /**
     * Constructs an exception with no specified detail message.
     */
    public IncorrectFileTypeException()
    {
        super();
    }


    /**
     * Constructs an exception with the specified detail message.
     *
     * @param s             the detail message
     */
    public IncorrectFileTypeException(String s)
    {
        super(s);
    }


} // end: IncorrectFileTypeException

